<app-template-page [titre]="'Ajout d\'une commande'">
  <ngb-toast
    header="Ajout d'une nouvelle commande"
    class="bg-success text-light"
    [delay]="2000"
    *ngIf="success"
    (hidden)="goBackToList()"
  >
    Ajout réussi !
  </ngb-toast>
  <ngb-toast
    header="Ajout d'une nouvelle commande"
    class="bg-danger"
    [delay]="2000"
    *ngIf="failure"
    (hidden)="failure = false"
  >
    Echec de l'ajout !
  </ngb-toast>

  <form [formGroup]="formulaireOrder">
    <fieldset class="fieldset m-5" [disabled]="success">
      <legend>Formulaire ajout commande</legend>
      <div class="col-6 form-control m-2 border border-primary">
        <p>Choisissez le client</p>
        <select class="me-5" formControlName="customerId" [(ngModel)]="ClientId">
          <option value="">- - -</option>
          <option *ngFor="let client of clients" [value]="client.id">
            {{ client.firstname }} {{ client.lastname }}
          </option>
        </select>

        <button
          class="btn btn-success ms-5"
          [routerLink]="'../../customers/add'"
        >
          Ajouter un nouveau client
        </button>

        <p>
          L'identifiant du client choisi :
          <strong class="text-danger">{{ ClientId }}</strong>
        </p>
      </div>

      <div class="form-control m-2 border border-primary">
        <label>
          Libellé :

          <input formControlName="label" type="text" />
        </label>
        <p
          class="text-secondary"
          *ngIf="formulaireOrder.controls['label'].invalid"
        >
          Libellé obligatoire.
        </p>
      </div>

      <div class="form-control m-2 border border-primary">
        <label>
          Nombre de jours :

          <input formControlName="numberOfDays" type="number" min="0" />
        </label>
        <p></p>
        <p
          class="text-secondary"
          *ngIf="formulaireOrder.controls['numberOfDays'].invalid"
        ></p>
      </div>

      <div class="form-control m-2 border border-primary">
        <label>
          Taux journalier moyen HT :

          <input formControlName="adrEt" type="number" min="0" />
          <p
            class="text-secondary"
            *ngIf="formulaireOrder.controls['adrEt'].invalid"
          >
            Taux journalier moyen hors taxe obligatoire.
          </p>
        </label>
      </div>

      <div class="form-control m-2 border border-primary">
        <label>Taux TVA :</label>
        <select formControlName="tva">
          <option></option>
          <option value="20">Taux normal : 20 %</option>
          <option value="10">Taux intermédiaire : 10 %</option>
          <option value="5.5">Taux réduit : 5,5 %</option>
          <option value="2.1">Taux particulier : 2,1 %</option>
        </select>
        <p
          class="text-secondary"
          *ngIf="formulaireOrder.controls['tva'].invalid"
        >
          Tva en vigueur obligatoire
        </p>
      </div>

      <div class="form-control m-2 border border-primary">
        <label>Status de la commande :</label>
        <select formControlName="status">
          <option></option>
          <option>En cours</option>
          <option>Payée</option>
          <option>Non Payée</option>
        </select>
        <p
          class="text-secondary"
          *ngIf="formulaireOrder.controls['status'].invalid"
        >
          choix entre trois status (en cours, payée, non payée)
        </p>
      </div>

      <div class="form-control m-2 border border-primary">
        <label>Type de commande:</label>
        <select formControlName="type">
          <option></option>
          <option>Forfait</option>
          <option>Abonnement</option>
          <option>Achat occasionnel</option>
        </select>
        <p
          class="text-secondary"
          *ngIf="formulaireOrder.controls['type'].invalid"
        >
          choix obligatoire entre trois Type de commande (Forfait, Abonnement,
          Achat occasionnel)
        </p>
      </div>

      <div class="form-control m-2 border border-primary">
        <label>Notes du client : </label>
        <textarea
          formControlName="notes"
          class="form-control"
          rows="3"
        ></textarea>

        <p
          class="text-secondary"
          *ngIf="formulaireOrder.controls['notes'].invalid"
        >
          Ne pas depasser 250 caractéres
        </p>
      </div>

      <button
        class="btn btn-primary m-2"
        (click)="addCreatedOrder()"
        [disabled]="formulaireOrder.invalid"
      >
        Ajouter la commande
      </button>
    </fieldset>

    <button class="btn btn-secondary">
      <a [routerLink]="'/orders/list'">Retour</a>
    </button>
  </form>
</app-template-page>
